#include <xvt.h>

#include <checks.h>
#include <strings.h>

#include "ba2.h"

#define usage   "Error - usage : %s -{0|1|2}"

int main(int argc,char* argv[])

{
  int             rt = 0 ;
  const int r = (argc > 1) ? atoi(&argv[1][1]) : -1;
  
  switch (r)
  {
  case 0:
    rt = ba2300(argc,argv); break;
  case 1:
    rt = ba2300(argc,argv) ; break;
  case 2:
    rt = ba2300(argc,argv) ; break;
  default:
    error_box(usage, argv[0]) ; break;                  
  }
  return rt;
}
